### Function

# Gimp Item get_by_id

#### Declaration [src]

    GimpItem*
    gimp_item_get_by_id (
      gint32 item_id
    )

#### Description [src]

Returns a `GimpItem` representing `item_id`. Since `GimpItem` is an abstract class, the real object type will actually be the proper subclass.

Available since: | 3.0

#### Parameters

`item_id` | `gint32`
| The item id.

#### Return value

Returns: | `GimpItem`
| A `GimpItem` for `item_id` or `NULL` if `item_id` does not represent a valid item. The object belongs to libgimp and you must not modify or unref it.
| The data is owned by the called function.
| The return value can be `NULL`.